Summary:	Enhanced Doom engine
Name:		gzdoom
Version:	2.0.03
Release:	4
License:	Freeware
Group:		Games/Arcade
Url:		http://www.osnanet.de/c.oelckers/gzdoom/
# From git by tag https://github.com/coelckers/gzdoom/archive/g%{version}.tar.gz
Source0:	%{name}-g%{version}.tar.gz
# From http://forum.zdoom.org/viewtopic.php?f=4&t=33119
Source1:	%{name}.png
Patch0:		gzdoom-g2.0.03-fmod-headers.patch
Patch1:		gzdoom-g2.0.03-static.patch
Patch2:		gzdoom-g2.0.03-plugin-path.patch
Patch3:		gzdoom-g2.0.03-data-path.patch
BuildRequires:	cmake
BuildRequires:	imagemagick
BuildRequires:	bzip2-devel
BuildRequires:	fmod4-devel
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(zlib)
Requires:	TiMidity++

%description
GZDoom is a Doom source port based on ZDoom. It features an OpenGL renderer
and lots of new features, among them:
- 3D floors
- Dynamic lights
- Quake2/Unreal style skyboxes
- True color texture support
- Model support (limited at the moment)

Warning! Make sure to place WAD files to %{_gamesdatadir}/%{name}/

%files
%{_gamesbindir}/%{name}
%dir %attr(0777,games,root) %{_gamesdatadir}/%{name}/
%{_gamesdatadir}/%{name}/*
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-g%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

sed -i s,"<unknown version>","%{version}",g tools/updaterevision/updaterevision.c

%build
%cmake
%make

%install
mkdir -p %{buildroot}%{_gamesbindir}
install -m 0755 build/%{name} %{buildroot}%{_gamesbindir}/%{name}
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
cp build/*.pk3 %{buildroot}%{_gamesdatadir}/%{name}/
mkdir -p %{buildroot}%{_libdir}/%{name}
install -m 0755 build/output_sdl/liboutput_sdl.so %{buildroot}%{_libdir}/%{name}/liboutput_sdl.so

# install menu entry
mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=GZDoom
Comment=Enhanced Doom engine
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

# install menu icons
for N in 16 32 48 64 128;
do
convert %{SOURCE1} -scale ${N}x${N} $N.png;
install -D -m 0644 $N.png %{buildroot}%{_iconsdir}/hicolor/${N}x${N}/apps/%{name}.png
done


%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.0.03-4
- (b462224) MassBuild#1250: Increase release tag


